%define name gtktalog
%define version 1.0.4
%define release %mkrel 6
%define theirversion %version

Name: %{name}
Summary: The Gnome disk catalog
Version: %{version}
Release: %{release}
License: GPL
Group: Archiving/Other
Source0: http://savannah.nongnu.org/download/gtktalog/gtktalog.pkg/%theirversion/%{name}-%{theirversion}.tar.bz2
Source10: gtktalog48.png.bz2
Patch0: gtktalog-1.0.3-dont-scan-mime-types-by-default.patch.bz2
Patch1: gtktalog-1.0.4-fix-docs-build.patch.bz2
URL: http://www.freesoftware.fsf.org/gtktalog/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: flex gnome-libs-devel mpgtx ncurses-devel
BuildRequires: docbook-utils
#gw if patched:
BuildRequires: automake1.7
BuildRequires: gettext-devel
Requires: file mpgtx

%description
GTKtalog is a disk catalog, it means you can use it to create a really small
database with images of files and folders of your CD-rom. So you can browse all
your CD's very quickly, see contents of certain files (tar.gz, rpm files ...).
You can give to each folder and file a category and a description. You can
search for files in your database with filename, category, description or file
information parameter, and find in which CD the file you are looking for is.

%prep
%setup -q -n %{name}-%{theirversion}
%patch0 -p0
%patch1 -p1
aclocal-1.7
autoconf
autoheader
automake-1.7
perl -pi -e "s/book1.html/index.html/" Docs/*/topic.dat

%build
%configure2_5x --disable-mp3info --enable-catalog3 --enable-fixcd --enable-mpgtx
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall mkinstalldirs=`pwd`/mkinstalldirs
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="System/Archiving/Other" title="GTKtalog" \
  longtitle="The Gnome disk catalog" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=GTKtalog
Comment=The Gnome disk catalog
Exec=%{name} %U
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Archiving-Other;Archiving;
EOF


mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
install gtktalog16.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install gtktalog32.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%find_lang %{name} --with-gnome

#(peroyvind) remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications/gtktalog.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO BUGS
%{_bindir}/*
%{_datadir}/gtktalog
%{_menudir}/*
%_datadir/applications/mandriva*
%{_libdir}/%{name}
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_mandir}/*/*

%changelog
* Mon Jul 31 2006 Gtz Waschk <waschk@mandriva.org> 1.0.4-6mdv2007.0
- xdg menu

* Sat Dec 31 2005 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.4-5mdk
- Rebuild

* Fri Jun  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-4mdk
- new g++

* Mon May 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-3mdk
- fix buildrequires

* Fri May  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-2mdk
- remove redundant deps
- fix documentation build (bug 9708)

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- new version

* Mon Sep  1 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-2mdk
- workaround #4834 by changing default of ScanMimeTypes to False

* Fri Jul 25 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.3-1mdk
- 1.0.3 (\o/, packaged before Gtz did)
- drop Prefix

* Tue Jun 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-2mdk
- parallel make
- autoconf 2.5 macro

* Sun Jun 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- new version

* Sun Jun  7 2003 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-2mdk
- BuildRequires (less is more)

* Thu Jun  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- fix source url
- new version

* Thu Jun 05 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.0-2mdk
- fix unpackaged files

* Mon Oct 14 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-1mdk
- final 1.0

* Wed Oct  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc3.1mdk
- rc3

* Wed Aug 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc2.1mdk
- rc2

* Tue Aug 20 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc1.2mdk
- use png icons, use 48x48 png icon from Goetz Waschk

* Mon Aug 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc1.1mdk
- rc1

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.99.20-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.99.20-3mdk
- Automated rebuild with gcc3.2

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.20-2mdk
- rebuild to link against latest libstdc++

* Mon May  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.20-1mdk
- new version

* Wed Apr  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.19-1mdk
- new version

* Tue Apr  2 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.18-1mdk
- new version
- include manpage

* Fri Jan 11 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.16-1mdk
- new version

* Tue Nov  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.14-1mdk
- new version

* Fri Oct  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.12-2mdk
- the following, thanks to Gtz Waschk <waschk@linux-mandrake.com>
  - removed help files from doc section
  - added --with-gnome to find_lang for gnome help files

* Fri Sep 28 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.12-1mdk
- new version

* Fri Sep 07 2001 Stefan van der Eijk <stefan@eijk.nu> 0.99.11-2mdk
- BuildRequires: flex
- Copyright --> License
- Removed redundant BuildRequires.

* Mon Aug 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.11-1mdk
- new version

* Mon Aug  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.9-1mdk
- new version

* Sat Jul 28 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.8-1mdk
- new version

* Mon Jul 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.7-1mdk
- new release

* Wed Jun 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.5-1mdk
- release.new()

* Tue Jun 19 2001 Stefan van der Eijk <stefan@eijk.nu> 0.99.4-2mdk
- BuildRequires: libncurses-devel --> ncurses-devel
- BuildRequires: db1-devel zlib-devel
- Remove BuildRequires: ORBit-devel XFree86-devel

* Tue Jun 19 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.99.4-1mdk
- version 0.99.4

* Thu Jun 14 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.99.1-1mdk
- version 0.99.1

* Fri Jun  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.0-1mdk
- version 0.99.0

* Fri Jun  1 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.19.2-1mdk
- new version

* Wed May 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.18.2-1mdk
- version 0.18.2

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.18.1-1mdk
- version 0.18.1

* Thu Apr 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.17.2-1mdk
- 0.17.2

* Sun Mar 18 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.15.1-1mdk
- 0.15.1

* Sun Mar 18 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.14.1-1mdk
- 0.14.1

* Sun Mar 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.13.2-1mdk
- 0.13.2 that fixes a big bug

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.13.1-1mdk
- 0.13.1

* Mon Feb 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.12.1-1mdk
- 0.12.1
- update doc section following patch by Gtz Waschk

* Sun Feb  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11.3-1mdk
- 0.11.3

* Sun Jan 21 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.1-1mdk
- 0.10.1

* Sat Jan  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Thu Dec 21 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Mon Dec 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1 (bugfixes)

* Wed Dec  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Thu Nov  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.0-1mdk
- 0.5.0

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-3mdk
- recompile against newest libstdc++

* Tue Oct 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-2mdk
- change requires after a talk with author

* Thu Oct 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Mon Sep  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1 ..... just before distrib freeze...

* Fri Sep  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.0-3mdk
- minor changes by request of main developper Yves Mettier <ymettier@free.fr>

* Fri Sep  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.0-2mdk
- use gtktalog icon now

* Fri Sep  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.0-1mdk
- 0.3.0

* Thu Aug 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-7mdk
- fixed hardcoded-path-in-menu-icon

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-6mdk
- added a patch by Goetz Waschk <waschk@informatik.uni-rostock.de>
  to put location of the plugins in bindir

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-5mdk
- fixed url by request of software author

* Mon Aug 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-4mdk
- remove mp3info binary to please Goetz Waschk :-/

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-3mdk
- fixed %doc stuff, thanks to Goetz Waschk <waschk@informatik.uni-rostock.de>
  (/me sucks)

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-2mdk
- added catalogs, thanks to Goetz Waschk <waschk@informatik.uni-rostock.de>

* Thu Aug 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.0-1mdk
- automatically added packager tag
- 0.2.0

* Sat Aug 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.4-1mdk
- 0.1.4

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.0.18-3mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.18-2mdk
- BM
- macros

* Wed Jun 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.18-1mdk
- 0.0.18
- better specfile

* Wed Apr 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.17-2mdk
- added icon

* Tue Apr  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.17-1mdk
- first Mandrake package

